> ## Documentation Index
> Fetch the complete documentation index at: https://docs.azalt.co/llms.txt
> Use this file to discover all available pages before exploring further.

# List widgets

> Return widget configurations by providing either `dashboardId` or `reportSectionId` as query parameters.



## OpenAPI

````yaml https://app.azalt.co/api/v1/openapi.tr.json get /widgets
openapi: 3.0.3
info:
  title: Erguvan Genel API
  version: 1.0.0
  description: Erguvan platformuna entegrasyon için REST API referansının Türkçe sürümü.
servers:
  - url: https://app.azalt.co/api/v1
security: []
tags:
  - name: Activity
    x-displayName: Aktiviteler
  - name: ActivityDefinition
    x-displayName: Aktivite Tanımları
  - name: ApiKey
    x-displayName: API Anahtarları
  - name: Dashboard
    x-displayName: Panolar
  - name: DashboardWidget
    x-displayName: Pano Bileşenleri
  - name: Dataset
    x-displayName: Veri Setleri
  - name: DatasetItem
    x-displayName: Veri Seti Öğeleri
  - name: File
    x-displayName: Dosyalar
  - name: Form
    x-displayName: Formlar
  - name: FormElement
    x-displayName: Form Öğeleri
  - name: FormElementSubmission
    x-displayName: Form Öğesi Gönderimleri
  - name: FormSite
    x-displayName: Form-Tesis İlişkilendirmeleri
  - name: FormSubmission
    x-displayName: Form Gönderimleri
  - name: Indicator
    x-displayName: Göstergeler
  - name: Organization
    x-displayName: Organizasyonlar
  - name: Site
    x-displayName: Tesisler
  - name: Target
    x-displayName: Hedefler
  - name: Unit
    x-displayName: Birimler
  - name: User
    x-displayName: Kullanıcılar
paths:
  /widgets:
    get:
      tags:
        - Widget
      summary: List widgets
      description: >-
        Return widget configurations by providing either `dashboardId` or
        `reportSectionId` as query parameters.
      operationId: listWidgets
      parameters:
        - in: query
          name: dashboardId
          schema:
            type: string
        - in: query
          name: reportSectionId
          schema:
            type: string
      responses:
        '200':
          description: Successful response
          content:
            application/json:
              schema:
                type: array
                items:
                  type: object
                  properties:
                    id:
                      type: string
                    dashboardId:
                      type: string
                      nullable: true
                    reportSectionId:
                      type: string
                      nullable: true
                    relatedModelType:
                      type: string
                    relatedModelId:
                      type: string
                    name:
                      type: string
                    type:
                      type: string
                      enum:
                        - line_chart
                        - bar_chart
                        - pie_chart
                        - value
                        - table
                        - periodic_values
                        - text
                    indicatorId:
                      type: string
                      nullable: true
                    indicatorName:
                      type: string
                      nullable: true
                    indicatorLabel:
                      type: string
                      nullable: true
                    x:
                      type: number
                      nullable: true
                    'y':
                      type: number
                      nullable: true
                    w:
                      type: number
                      nullable: true
                    h:
                      type: number
                      nullable: true
                    settings:
                      type: object
                      additionalProperties: {}
                    filter:
                      type: object
                      nullable: true
                      properties:
                        siteIds:
                          type: array
                          items:
                            type: string
                        startYear:
                          type: number
                        endYear:
                          type: number
                        startDate:
                          type: string
                        endDate:
                          type: string
                        statuses:
                          type: array
                          items:
                            type: string
                            enum:
                              - COMPLETED
                              - APPROVED
                              - REJECTED
                  required:
                    - id
                    - dashboardId
                    - reportSectionId
                    - relatedModelType
                    - relatedModelId
                    - name
                    - type
                    - indicatorId
                    - indicatorName
                    - indicatorLabel
                    - x
                    - 'y'
                    - w
                    - h
                    - settings
                    - filter
        '400':
          description: Invalid input data
          content:
            application/json:
              schema:
                $ref: '#/components/schemas/error.BAD_REQUEST'
        '404':
          description: Not found
          content:
            application/json:
              schema:
                $ref: '#/components/schemas/error.NOT_FOUND'
        '500':
          description: Internal server error
          content:
            application/json:
              schema:
                $ref: '#/components/schemas/error.INTERNAL_SERVER_ERROR'
components:
  schemas:
    error.BAD_REQUEST:
      type: object
      properties:
        message:
          type: string
          description: The error message
          example: Invalid input data
        code:
          type: string
          description: The error code
          example: BAD_REQUEST
        issues:
          type: array
          items:
            type: object
            properties:
              message:
                type: string
            required:
              - message
          description: An array of issues that were responsible for the error
          example: []
      required:
        - message
        - code
      title: Invalid input data error (400)
      description: The error information
      example:
        code: BAD_REQUEST
        message: Invalid input data
        issues: []
    error.NOT_FOUND:
      type: object
      properties:
        message:
          type: string
          description: The error message
          example: Not found
        code:
          type: string
          description: The error code
          example: NOT_FOUND
        issues:
          type: array
          items:
            type: object
            properties:
              message:
                type: string
            required:
              - message
          description: An array of issues that were responsible for the error
          example: []
      required:
        - message
        - code
      title: Not found error (404)
      description: The error information
      example:
        code: NOT_FOUND
        message: Not found
        issues: []
    error.INTERNAL_SERVER_ERROR:
      type: object
      properties:
        message:
          type: string
          description: The error message
          example: Internal server error
        code:
          type: string
          description: The error code
          example: INTERNAL_SERVER_ERROR
        issues:
          type: array
          items:
            type: object
            properties:
              message:
                type: string
            required:
              - message
          description: An array of issues that were responsible for the error
          example: []
      required:
        - message
        - code
      title: Internal server error error (500)
      description: The error information
      example:
        code: INTERNAL_SERVER_ERROR
        message: Internal server error
        issues: []

````